Home  |  Message Board  |  Fan Pics  |  Fan Polls  |  RSS Feed  |  Top of Thread  |  Login  |  Register
Display By:
Home  |  Message Board  |  Top of Thread  |  Login  |  Register
Display By:

Previous Thread   |  Top Of Board  |  Start New Thread  |   Next Thread
thesalesman Posted on 16/05/2020 18:26
Golf courses open - no membership
 
Looking for a round but donít have a membership, anyone come across a course open for visitors
IP: Logged
We_Will Posted on 16/05/2020 18:33

Golf courses open - no membership
Ours at Ampleforth near Helmsley is open, had quite a few guests out today. You are more than welcome. £15 all day
IP: Logged
Heine Posted on 16/05/2020 23:56

Golf courses open - no membership
Think Catterick is as well clubs will have to cater for visitors soon they need the revenue
IP: Logged
Wev1 Posted on 17/05/2020 07:45

Golf courses open - no membership
Romanby is open to non members I think.
IP: Logged
Halle_Burton Posted on 17/05/2020 08:33

Golf courses open - no membership
Rob posted over the last few days that Middlesbrough muni was opening yesterday and id imagine Knotty Hill at Sedgefield will be open.
IP: Logged
BoroBerk Posted on 17/05/2020 10:05

Golf courses open - no membership
Pent up demand from members swallowed up all the tees this week in most courses. The demand will subside once their mrs's get them back in check. Visitors should be welcome again at most places very soon.
IP: Logged
Heine Posted on 17/05/2020 10:08

Golf courses open - no membership
The Muni is season tickets only but can't see that lasting there's not enough they'll be accepting visitors by next week I imagine
IP: Logged
Halle_Burton Posted on 17/05/2020 11:26

Golf courses open - no membership
Knotty hill Sedgefield is open and they have plenty of options of course layouts.
All depends where the OP is from as it would be quite a trek for some.
IP: Logged
BreakTheWallsDown Posted on 17/05/2020 12:44

Golf courses open - no membership
'The Muni is season tickets only but can't see that lasting there's not enough they'll be accepting visitors by next week I imagine'


No tee times all week, all went within a couple hours of accepting bookings [rle]
IP: Logged
Heine Posted on 18/05/2020 13:28

Golf courses open - no membership
If any of you are keyworkers Billingham has a membership offer on
IP: Logged
Wev1 Posted on 19/05/2020 10:30
Edited On: 19/05/2020 10:31
Golf courses open - no membership
I'm a member at the muni and it seems to have like 60 tee times per day, which "could" be enough for the members, which would then leave space for the nomads, but the problem at the minute seems to be, apparently:
People have been booking and not turning up
Some people are playing as singles
Some people are playing twice in one day!
Loads of people have played every day

The muni has what 600-1000 members? I reckon some members will be lucky to get on once every 7-10 days, if at all, so the nomads have no chance. The members that can only book a few days in advance have zero chance.

They really need to limit how often some of the members play, whether that's through limiting each card to booking 3 tee times per week, but also checking that two mates aren't just taking turns booking for each other.

I've only managed to play once, and can't even book anything else for at least the next 7 days, not exactly good value for £500, which works out about £100 a month of you only play through summer.
IP: Logged
d_robbo Posted on 19/05/2020 16:30

Golf courses open - no membership
Woodham are also welcoming visitors, nice little course
IP: Logged
Tony_Angelino Posted on 19/05/2020 17:27

Golf courses open - no membership
I played the muni today. The bloke in the hut (Phil) was saying the some people are booking 3 tees so they have a choice then only using 1. He said they were gonna put a stop to it and season ticket holders/members will only be allowed to book 1 tee per day (if your lucky). Also may be changing to 8 minute intervals between tee times which will generate a few more tees. I'm a st holder and still haven't been able to book a tee, luckily my mate got the one for today.
IP: Logged
Jonny_Rondos_Disco_pants Posted on 19/05/2020 17:34

Golf courses open - no membership
Woodham is lovely.
IP: Logged
Halle_Burton Posted on 19/05/2020 18:28

Golf courses open - no membership
Woodham must be the best value for money course around the area, havent played there for a few years always enjoyed it when i did.
IP: Logged
BoroBerk Posted on 19/05/2020 19:42

Golf courses open - no membership
That's pretty poor form from members and management. Not that I am surprised one iota. As a former member I always felt that the course was oversubscribed and booking double tees was common practice among members to give themselves more space on the course.

The pace of play of some 4 ball games was an embarrassment to the game itself. Plus you had to cope with some right cheeky scruffy on the course (some playing).

I ditched my membership because of those issues as well as it being closed so frequently during winter.

I am a bit of a nomadic now but appreciate the variety playing better and more challenging courses. Much less hassle too.
IP: Logged
Wev1 Posted on 20/05/2020 10:24

Golf courses open - no membership
People booking out 3 tees and only using one doesn't surprise me one bit, there's a large part of the UK population which is so selfish it's beyond belief.

They've changed it now to a 7 day member can only book 4 tees per week, and a 3 day member can only book 3 per week, but it's only "guidance". People will still take the pi$$.

I bet there's some people who have played 6 times already, and it's only been open 4 days.

My mate managed to get us a tee time for this afternoon, which I'm looking forward to, the weathers going to be awesome by the looks of it.
IP: Logged
BreakTheWallsDown Posted on 20/05/2020 10:35

Golf courses open - no membership
Had booked the last tee time Friday and Monday to take the old man round but had to cancel them now with them extending times [V]
IP: Logged
Wev1 Posted on 20/05/2020 12:49

Golf courses open - no membership
Oh, why was that? Does he just take a bit longer and you don't wan't to hold anyone up?

Maybe give the muni a ring and they might be able to swap you around or get you a slot somewhere else.
IP: Logged
BreakTheWallsDown Posted on 20/05/2020 17:46
Edited On: 20/05/2020 17:47
Golf courses open - no membership
'Does he just take a bit longer and you don't wan't to hold anyone up?'

Exactly that, Phil rang when I explained to him and he sorted me out some tee time's for 2 weeks time when it moves to every 8 mins [^] Even offered to get in touch with the lads booked on last and ask to swap which I said no need to, can't fault them for the work they're putting in
IP: Logged
Wev1 Posted on 21/05/2020 07:51

Golf courses open - no membership
Yeah, they're doing well and seem to be adjusting things to suit.
IP: Logged
Gary_Hamilton_Ricard Posted on 21/05/2020 20:17

Golf courses open - no membership
Anywhere within 20 miles of Teesside I could get a 2 ball tomorrow afternoon for non members?
IP: Logged
gravy173 Posted on 21/05/2020 21:58

Golf courses open - no membership
Knotty hill would be your best bet I would imagine given itís a trek away and has 3 courses
IP: Logged
sambaDTR Posted on 22/05/2020 00:32
Edited On: 22/05/2020 00:40
Golf courses open - no membership
Off topic I suppose but I loved the Muni. My first ever course (20 years old) and still a great layout. Also the people were great. Got sick of 5 hour rounds as I improved so, reluctantly, followed the owld fella to Teesside. Best thing I ever did. The atmosphere is like the Muni. [^]
IP: Logged
Wev1 Posted on 22/05/2020 09:50

Golf courses open - no membership
Teesside is a lot nicer, and you're getting a lot for that £750, but it's still 50% more than the muni, but then it's only another £250 to play at Brass/ Middlesbrough GC. I've not played the latter, so no idea what it's like, but it's nice by the sounds of it.

Does anyone know what any of these three are like in the winter nowadays, I've not played any of them in winter for about 20 years.
IP: Logged
Tony_Angelino Posted on 22/05/2020 13:06

Golf courses open - no membership
When the winter rains come, Teesside is closed more than the Muni. You normally get 12 holes at the Muni unless badly waterlogged.
IP: Logged
EpiphanyProudfoot Posted on 22/05/2020 13:17

Golf courses open - no membership
I have always admired golf clubs zero trouser cough policy.

Some golf clubs don't allow women in the bar which is even better.
IP: Logged
Wev1 Posted on 22/05/2020 13:59

Golf courses open - no membership
"When the winter rains come, Teesside is closed more than the Muni. You normally get 12 holes at the Muni unless badly waterlogged."

Cheers, yeah I noticed the Muni was down to 12 a lot of last winter, but I wasn't sure if that was maintenance.

They're both based on Clay, as is most of Boro/Stockton so they're both going to struggle. The Muni probably would be able to deal with it better with it being hillier, but they will have less cash than Teesside I would expect. Other problems for Teesside are being so low level compared to the river, and being relatively flat.

IP: Logged
EpiphanyProudfoot Posted on 22/05/2020 14:22

Golf courses open - no membership
Don't you consider the farting has something to do with this.

Bit of a pointless argument if that is the case.
IP: Logged
Tony_Angelino Posted on 22/05/2020 14:22

Golf courses open - no membership
I only know about Teesside because one bad winter a couple of lads from there were playing the Muni whenever it was open. They said they hadn't played their course for weeks on end and if it was open you were lucky to get 9 holes. Don't know if they've improved it. Muni always struggles when there's constant rain but don't all the other local courses. Apart from Cleveland that is.
IP: Logged
sambaDTR Posted on 22/05/2020 14:57

Golf courses open - no membership
Since Teesside put in a lot of new drains over the last few years there is not much difference between them and the Muni as far as playing over the winter. If you want to play on a course all the year round then you need to join a course built on sand such as Cleveland or Seaton Carew. Mind you, when the weather is so bad that it closes the course you have to be very keen to want to play!


IP: Logged
Halle_Burton Posted on 22/05/2020 15:20
Edited On: 22/05/2020 15:21
Golf courses open - no membership
Agree with samba regarding Teesside being much improved drainage and being open, i left there 5 years ago and packed in playing but think i will be rejoining next year.

Wev regarding Brass castle a mate of mine has left after being a member some time due to cliques etc and rang me for a mutual mates number as he intends joining Teesside. Ive played brass several times and dont think its anything special.
IP: Logged
Wev1 Posted on 22/05/2020 15:54

Golf courses open - no membership
Aye, I know they've both being doing some work with the drainage, but not sure on the details.

I should have spoke to them both when I've been a member at them as my company has installed tons of drainage on golf courses. I just assumed they wouldn't have the cash as most of the courses we were working on were on the upper end, like Rockliffe, Ramside Hall and Close House etc. We use drilling so they don't need to dig up the fairways and greens etc.

Yeah, I've heard that everyone is up their own ar$e at Brass and it's clicky. I'm not that fussed about that though, at the minute as I only really play on my own or with a mate, as it's hard to plan anything in advance. I only really play in summer too, as play other sports in winter.
IP: Logged
peter_beagrie_killed_my_cat Posted on 22/05/2020 15:55

Golf courses open - no membership
Brass is the most overrated course in the area. Horrible membership base who think they and the club are something special. Hugely overpriced too.

Been a member there 10 years and this is my last year.

Billingham the best course in the area outside of Rockliffe.
Teesside and Eaglescliffe are good too.
IP: Logged
Wev1 Posted on 22/05/2020 16:02
Edited On: 22/05/2020 16:03
Golf courses open - no membership
Is it not in as good a condition as you would expect then, as in 30% better than Teesside? Or is it just a boring course?

How does it handle the wet weather?

The membership base sounds awful, how could it be that bad? Golfers are quite stuck up in general, so I expect here is just worse?

Brass is the closest course for me now too, doh!

I would potentially consider Teesside again, but depends on my mates too.
IP: Logged
peter_beagrie_killed_my_cat Posted on 22/05/2020 16:10

Golf courses open - no membership
It's in as good condition as any of the decent clubs in the area tbh. Last winter it was closed for the majority of the winter - holes 6 thru 8 are constantly under some form of restriction when it rains.

The membership base is very cliquey and won't hesitate to run 5k to have a go at you because your shirt's untucked. The younger lads are alright to be fair.

It's just not worth an extra £250 + £500 joining fee compared to other courses in the area.
IP: Logged
Halle_Burton Posted on 22/05/2020 16:24
Edited On: 22/05/2020 16:25
Golf courses open - no membership
As an indicator ive kept an eye on Teesside being open over the past year and obviously it suffered badly last year like everywhere did including some links. Its a very sociable club as i only knew a couple of lads when i joined about 12 years ago but and even shortly after joining was invited by several different groups when i went down on my own to play. The stats for it being open are hugely improved and no worse than any other apart from links id say.
I played Brass maybe 7/8 times and was never that impressed, i prefer Teesside to be honest.
Peter Beagrie my mate i mentioned in an earlier thread said exactly the same about Brass membership, his name being Peter also. Coincidence or same person[:D]
IP: Logged
peter_beagrie_killed_my_cat Posted on 22/05/2020 16:38

Golf courses open - no membership
Not me, but pretty sure I know who your mate is. He's not the only person who's got the hump with them at the moment either.
IP: Logged
Wev1 Posted on 22/05/2020 19:36

Golf courses open - no membership
Cheers for the info fellas [^][^]
IP: Logged
Heine Posted on 22/05/2020 21:42

Golf courses open - no membership
Muni becomes a 12 hole golf course between October and April slightest bit of rain its closed been like that for at least 25 years
Teesside also has issues with water they were still using fairway mats in March of this year

If you want a good test of golf that's open 95% of the year go to Cleveland even Seaton has had to use fairway mats thisvyear

I've just joined Cleveland and for 60 quid a month you won't get a better course for your money
IP: Logged
Jonny_Rondos_Disco_pants Posted on 23/05/2020 12:50

Golf courses open - no membership
Im a member at Royal Billingham now, course looks great, couple of greens need a bit of attention. It Suffers from rain like most courses in the area in winter

Members friendly, far better and more welcoming than 15-20 years ago.

Guests can play with members after 2, guests can play on their own after 4.
IP: Logged
EpiphanyProudfoot Posted on 23/05/2020 12:54

Golf courses open - no membership
'Brass is the most overrated course in the area. Horrible membership base who think they and the club are something special. Hugely overpriced too'

Sigh...
IP: Logged
Wev1 Posted on 27/05/2020 09:31
Edited On: 27/05/2020 14:08
Golf courses open - no membership
"If you want a good test of golf that's open 95% of the year go to Cleveland even Seaton has had to use fairway mats thisvyear"

Yeah, I've heard they're both open more often, but they're rarely going to struggle with water on the Links courses.

I don't really think I would fancy links, in winter, near the windy North Sea and Cleveland is probably a 20-30 minute drive. So an hours drive for 3 hours golf in winter. Doesn't really sound all that appealing, as I'm more of a convenience golfer. Might look at that for some one off rounds though, on the better days if some of my mates fancy it. Seaton is near my mums, so will probably give that a go too.

I played the muni on Saturday and was on the 7th when hit a wedge that would typically carry 120 yards. Was into the wind, and got a good strike on it, but if I had ran forward 10 yards I could have caught it, must have been in the air a good 7-10 seconds [cr][cr]
The wind was crazy, I gave up after the next hole.
IP: Logged
Jonny_Rondos_Disco_pants Posted on 27/05/2020 11:44

Golf courses open - no membership
Seaton have a new green keeper who hss big ambitions to make the course even better.
IP: Logged
Hermit Posted on 27/05/2020 22:26

Golf courses open - no membership
afew id recommend are woodham, bedale and middleton st george. also saltburn is ok and greart food and bar there especially sunday lunch. it is nearer brotton though than saltburn.
IP: Logged
Heine Posted on 02/06/2020 09:39

Golf courses open - no membership
Cleveland taking visitors from Friday if anybody is stuck I can sign people on for £18
IP: Logged
HolgateCorner Posted on 02/06/2020 21:56

Golf courses open - no membership
Wilton are taking non introduced visitors from 15 June, £24 per round, must pre book tee time and contactless only.
IP: Logged
sambaDTR Posted on 04/06/2020 01:38
Edited On: 04/06/2020 08:26
Golf courses open - no membership
Teesside Golf Club.
Visitor & Guest Green Fees from 8th June 2020
Advance Tee time booking.
Visitors 4 days in advance
Monday to Friday - No green fees allowed before 11am or after 4.30pm unless with a member, and no green fees at all before 11am on a weekend, this will also be subject to the members starting sheet times.
Members are allowed 3 guests and must play with the people that they sign in.
IP: Logged
Previous Thread  |  Start New Thread  |  Top Of Board  |  Top Of Thread  |  Next Thread



Home  |Message Board  |  Top of Board  |  Login  |  Register


Copyright © 2008 to 2020 Fansonline.net Ltd

FansOnline.net Ltd
Unit 7
Brentnall Center
Gilkes Street
Middlesbrough
Cleveland
TS1 5AP
Fansonline Home | About Fansonline | Contact Fansonline | Advertise On Fansonline | Privacy Policy | TOS
10.0.166.103